package edu.travel.remote.commodity;

import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.BaseDto;
import edu.travel.remote.dto.ShopCategoryDto;
import edu.travel.remote.dto.ShopTypeDto;
import edu.travel.remote.vo.ShopCategoryVo;
import edu.travel.remote.vo.ShopTypeVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.concurrent.ExecutionException;

@FeignClient(name="commodity",path = "/shopCategory")
public interface ShopCategoryRemoteController extends RemoteBaseController<ShopCategoryVo, ShopCategoryDto> {
    @GetMapping("/getShopType")
    public RPCBaseResponse<List<ShopTypeVo>> getShopType(ShopTypeDto param) throws ExecutionException;
    @GetMapping("/getLevelToShopType")
    public RPCBaseResponse<List<ShopTypeVo>> getLevelToShopType(BaseDto param) throws ExecutionException;
    @PostMapping("/uploadIcon")
    public RPCBaseResponse<String> uploadIcon(MultipartFile file);
    @PostMapping("/updateTargetFormId")
    public RPCBaseResponse<ShopCategoryVo> updateTargetFormId(ShopCategoryDto entity);
    @PostMapping("/saveFormTarget")
    public RPCBaseResponse<ShopCategoryVo> saveFormTarget(@RequestBody ShopCategoryDto entity);
    /**
     * 树形结构
     * @return
     */
    @GetMapping("/getAllForm")
    public RPCBaseResponse<List<ShopCategoryVo>> getAllForm();
}
