package edu.travel.remote.commodity;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.remote.base.RemoteBaseController;
import edu.travel.remote.dto.ProductSpecDto;
import edu.travel.remote.dto.ShopParametersDto;
import edu.travel.remote.vo.ShopParametersVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;

import java.util.List;

@FeignClient(name="commodity",path = "/shopParameters")
public interface ShopParametersRemoteController extends RemoteBaseController<ShopParametersVo, ShopParametersDto> {
    @GetMapping("getShopParameters")
    public RPCBaseResponse<Page<ShopParametersVo>> getShopParameters(ProductSpecDto param);
    @GetMapping("/getFormId")
    public RPCBaseResponse<ShopParametersVo> getFormId(String id);
    @GetMapping("/getAllForm")
    public RPCBaseResponse<List<ShopParametersVo>> getAllForm();
}
